> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accrue Billpay



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /api/alpha/billpays/{billpay_qid}/accrue
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/alpha/billpays/{billpay_qid}/accrue:
    post:
      tags:
        - billpays
        - quanta-services-api
      summary: Accrue Billpay
      operationId: accrue_billpay
      parameters:
        - name: billpay_qid
          in: path
          required: true
          schema:
            type: string
            title: Billpay Qid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccrueBillpayRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillpayLedgerView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AccrueBillpayRequest:
      properties:
        accrual_qid:
          type: string
          title: Accrual Qid
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        reason_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason Type
      type: object
      required:
        - accrual_qid
      title: AccrueBillpayRequest
    BillpayLedgerView:
      properties:
        events:
          items:
            $ref: '#/components/schemas/OperationalEvent'
          type: array
          title: Events
        billpay:
          $ref: '#/components/schemas/Billpay'
        journal_entry:
          $ref: '#/components/schemas/JournalEntry'
        reversal_journal_entry:
          anyOf:
            - $ref: '#/components/schemas/JournalEntry'
            - type: 'null'
        balance_transactions:
          items:
            $ref: '#/components/schemas/BalanceTransaction'
          type: array
          title: Balance Transactions
        items:
          items:
            $ref: '#/components/schemas/BillpayLedgerItem'
          type: array
          title: Items
        memos:
          items:
            $ref: '#/components/schemas/BillpayMemoLedgerView'
          type: array
          title: Memos
      type: object
      required:
        - events
        - billpay
        - journal_entry
        - balance_transactions
        - items
      title: BillpayLedgerView
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OperationalEvent:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        group_qid:
          type: string
          title: Group Qid
        origin_type:
          anyOf:
            - $ref: '#/components/schemas/OperationalEventOriginType'
            - type: 'null'
        origin_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin Qid
        payload:
          $ref: '#/components/schemas/OperationalEventBaseModel'
        idempotency_key:
          type: string
          title: Idempotency Key
      type: object
      required:
        - qid
        - org_qid
        - group_qid
        - payload
        - idempotency_key
      title: OperationalEvent
    Billpay:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        status:
          $ref: '#/components/schemas/BillpayStatus'
        identifier:
          type: string
          title: Identifier
        source_provider:
          $ref: '#/components/schemas/SourceProvider'
        external_id:
          type: string
          title: External Id
        source_amount:
          $ref: '#/components/schemas/MonetaryAmount-Output'
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Output'
        due_date:
          type: string
          format: date
          title: Due Date
        effective_date:
          type: string
          format: date
          title: Effective Date
        description:
          type: string
          title: Description
      type: object
      required:
        - qid
        - org_qid
        - status
        - identifier
        - source_provider
        - external_id
        - source_amount
        - amount
        - due_date
        - effective_date
        - description
      title: Billpay
    JournalEntry:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        effective_date:
          type: string
          format: date
          title: Effective Date
        line_items:
          items:
            $ref: '#/components/schemas/JournalEntryLineItem'
          type: array
          title: Line Items
        source_qid:
          type: string
          title: Source Qid
        source:
          $ref: '#/components/schemas/Source'
        operational_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Operational Qid
        event_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Qid
        entity_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity Qid
        audit_links:
          items:
            $ref: '#/components/schemas/JournalEntryAuditLink'
          type: array
          title: Audit Links
      type: object
      required:
        - qid
        - org_qid
        - effective_date
        - line_items
        - source_qid
        - source
      title: JournalEntry
    BalanceTransaction:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        transaction_qid:
          type: string
          title: Transaction Qid
        account_qid:
          type: string
          title: Account Qid
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Output'
        effective_date:
          type: string
          format: date
          title: Effective Date
        reversed_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Reversed By
        event_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Qid
        event_type:
          anyOf:
            - $ref: '#/components/schemas/BalanceTransactionEventType'
            - type: 'null'
        matched_transaction_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Matched Transaction Qid
        matched_source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Matched Source Qid
      type: object
      required:
        - qid
        - org_qid
        - transaction_qid
        - account_qid
        - amount
        - effective_date
      title: BalanceTransaction
    BillpayLedgerItem:
      properties:
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Output'
        attributes:
          anyOf:
            - $ref: '#/components/schemas/VendorBookingAttributes-Output'
            - $ref: '#/components/schemas/CustomerBookingAttributes'
          title: Attributes
        description:
          type: string
          title: Description
        recognition:
          anyOf:
            - $ref: >-
                #/components/schemas/src__schedule__schedule_defs__PrepaidSchedule
            - $ref: >-
                #/components/schemas/src__schedule__schedule_defs__FixedAssetSchedule
            - $ref: '#/components/schemas/AccruedExpense'
            - type: 'null'
          title: Recognition
        recognition_data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/PrepaidSpec'
                - $ref: '#/components/schemas/PrepaidData-Output'
                - $ref: '#/components/schemas/FixedAssetSpec'
                - $ref: '#/components/schemas/FixedAssetData-Output'
                - $ref: '#/components/schemas/LegacyAccrualSpec'
              discriminator:
                propertyName: vendor_recognition_type
                mapping:
                  ACCRUAL_SPEC: '#/components/schemas/LegacyAccrualSpec'
                  FIXED_ASSET_DATA: '#/components/schemas/FixedAssetData-Output'
                  FIXED_ASSET_SPEC: '#/components/schemas/FixedAssetSpec'
                  PREPAID_DATA: '#/components/schemas/PrepaidData-Output'
                  PREPAID_SPEC: '#/components/schemas/PrepaidSpec'
            - type: 'null'
          title: Recognition Data
      type: object
      required:
        - amount
        - attributes
        - description
      title: BillpayLedgerItem
    BillpayMemoLedgerView:
      properties:
        events:
          items:
            $ref: '#/components/schemas/OperationalEvent'
          type: array
          title: Events
        billpay_memo:
          $ref: '#/components/schemas/BillpayMemo'
        journal_entry:
          $ref: '#/components/schemas/JournalEntry'
        balance_transactions:
          items:
            $ref: '#/components/schemas/BalanceTransaction'
          type: array
          title: Balance Transactions
        items:
          items:
            $ref: '#/components/schemas/BillpayLedgerItem'
          type: array
          title: Items
      type: object
      required:
        - events
        - billpay_memo
        - journal_entry
        - balance_transactions
        - items
      title: BillpayMemoLedgerView
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OperationalEventOriginType:
      type: string
      enum:
        - INGESTION_SYNC
        - API
        - AGENT_INPUT
      title: OperationalEventOriginType
    OperationalEventBaseModel:
      properties:
        event_type:
          $ref: '#/components/schemas/OperationalEventType'
      type: object
      required:
        - event_type
      title: OperationalEventBaseModel
    BillpayStatus:
      type: string
      enum:
        - OPEN
        - ARCHIVED
      title: BillpayStatus
    SourceProvider:
      type: string
      enum:
        - RAMP
        - BREX
        - MANUAL
        - MERCURY
        - PLAID
        - FINICITY
        - STRIPE
        - DEEL
        - FINCH
        - RIPPLING
      title: SourceProvider
    MonetaryAmount-Output:
      properties:
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        currency:
          $ref: '#/components/schemas/Currency'
      type: object
      required:
        - amount
        - currency
      title: MonetaryAmount
      description: Immutable monetary value with currency.
    JournalEntryLineItem:
      properties:
        qid:
          type: string
          title: Qid
        account:
          $ref: '#/components/schemas/Account'
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        description:
          type: string
          title: Description
        metadata:
          anyOf:
            - $ref: '#/components/schemas/JournalEntryLineMetadata'
            - type: 'null'
        booking_item_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Booking Item Qid
        balance_transaction_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Balance Transaction Qid
        booking_item:
          anyOf:
            - $ref: '#/components/schemas/JournalEntryBookingItem'
            - type: 'null'
        currency:
          type: string
          title: Currency
          default: USD
      type: object
      required:
        - qid
        - account
        - amount
        - description
        - metadata
      title: JournalEntryLineItem
    Source:
      type: string
      enum:
        - quanta
        - amex
        - deel
        - qbo
        - ramp
        - ramp_bank
        - rippling
        - stripe
        - gusto
        - brex
        - frb
        - fidelity
        - justworks
        - sequoia_one
        - chase
        - wells_fargo_ceo
        - mercury
        - meow_bank
        - bank_of_america
        - svb
        - morgan_stanley
        - other_bank
        - other_finicity_bank
        - angellist_banking
        - arc
        - carta
        - manual
        - bank_upload
        - local_bank
        - card_upload
        - reimbursement_upload
        - warp
        - rho
        - stifel
        - highbeam
        - erebor
        - wise
        - td_canada
        - central_payroll
        - rillet
        - campfire
        - netsuite
        - orb
        - prepaid
        - loan
        - accrued_expense
        - pricing_component
        - invoice_sent
        - fixed_asset
        - intangible_asset
        - stripe_invoice
        - payment_event
        - month_end_event
        - out_of_band_invoice
        - derivative_payable
      title: Source
    JournalEntryAuditLink:
      properties:
        link_type:
          $ref: '#/components/schemas/JournalEntryLinkType'
        original_qid:
          type: string
          title: Original Qid
        edit_qid:
          type: string
          title: Edit Qid
      type: object
      required:
        - link_type
        - original_qid
        - edit_qid
      title: JournalEntryAuditLink
    BalanceTransactionEventType:
      anyOf:
        - $ref: '#/components/schemas/OperationalEventType'
        - $ref: '#/components/schemas/InvoiceLedgerEventType'
    VendorBookingAttributes-Output:
      properties:
        gl_account:
          $ref: '#/components/schemas/Account'
        vendor:
          anyOf:
            - $ref: '#/components/schemas/Vendor'
            - type: 'null'
        department:
          anyOf:
            - $ref: '#/components/schemas/Department'
            - $ref: '#/components/schemas/NoDepartment'
          title: Department
      type: object
      required:
        - gl_account
        - vendor
        - department
      title: VendorBookingAttributes
    CustomerBookingAttributes:
      properties:
        gl_account:
          $ref: '#/components/schemas/Account'
        customer:
          $ref: '#/components/schemas/Customer'
        product:
          anyOf:
            - $ref: '#/components/schemas/Product'
            - type: 'null'
        department:
          anyOf:
            - $ref: '#/components/schemas/Department'
            - $ref: '#/components/schemas/NoDepartment'
          title: Department
      type: object
      required:
        - gl_account
        - customer
      title: CustomerBookingAttributes
    src__schedule__schedule_defs__PrepaidSchedule:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        total_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Amount
        source_qid:
          type: string
          title: Source Qid
        service_start_date:
          type: string
          format: date
          title: Service Start Date
        items:
          items:
            $ref: >-
              #/components/schemas/src__schedule__schedule_defs__PrepaidScheduleItem
          type: array
          title: Items
        booking_info:
          anyOf:
            - $ref: '#/components/schemas/PrepaidSpendBookingInfo'
            - $ref: '#/components/schemas/PrepaidStandaloneBookingInfo'
          title: Booking Info
        spend_trait_vendor_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Trait Vendor Qid
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Name
        vendor_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Image Url
        department_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Name
        account_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Name
        purchase_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Purchase Date
      type: object
      required:
        - qid
        - org_qid
        - total_amount
        - source_qid
        - service_start_date
        - items
        - booking_info
        - spend_trait_vendor_qid
        - department_qid
      title: PrepaidSchedule
    src__schedule__schedule_defs__FixedAssetSchedule:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Qid
        service_start_date:
          type: string
          format: date
          title: Service Start Date
        total_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Total Amount
        lifetime_months:
          type: integer
          title: Lifetime Months
        write_off_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Write Off Date
        amortization_granularity:
          $ref: '#/components/schemas/AmortizationGranularity'
        items:
          items:
            $ref: '#/components/schemas/FixedAssetScheduleItem'
          type: array
          title: Items
        purchase_date:
          type: string
          format: date
          title: Purchase Date
        type:
          $ref: '#/components/schemas/FixedAssetType'
        purchase_amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Purchase Amount
        salvage_value:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Salvage Value
        spend_trait_vendor_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Trait Vendor Qid
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Name
        vendor_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Image Url
        department_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Name
      type: object
      required:
        - qid
        - org_qid
        - source_qid
        - service_start_date
        - total_amount
        - lifetime_months
        - write_off_date
        - amortization_granularity
        - items
        - purchase_date
        - type
        - purchase_amount
        - salvage_value
        - spend_trait_vendor_qid
        - department_qid
      title: FixedAssetSchedule
    AccruedExpense:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        gl_account_qid:
          type: string
          title: Gl Account Qid
        booking_data:
          $ref: '#/components/schemas/OneOffBookingData'
        memo:
          type: string
          title: Memo
        private_memo:
          type: string
          title: Private Memo
        spend_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Qid
        source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Qid
        reversal_source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Reversal Source Qid
        reversal_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Reversal Date
        spend_trait_vendor_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Trait Vendor Qid
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
      type: object
      required:
        - qid
        - org_qid
        - amount
        - gl_account_qid
        - booking_data
        - memo
        - private_memo
        - spend_qid
      title: AccruedExpense
    PrepaidSpec:
      properties:
        vendor_recognition_type:
          type: string
          const: PREPAID_SPEC
          title: Vendor Recognition Type
          default: PREPAID_SPEC
        num_amortization_months:
          type: integer
          title: Num Amortization Months
        start_date:
          type: string
          format: date
          title: Start Date
        effective_day_of_the_month:
          $ref: '#/components/schemas/EffectiveDayOfTheMonth'
          default: last
      type: object
      required:
        - num_amortization_months
        - start_date
      title: PrepaidSpec
    PrepaidData-Output:
      properties:
        vendor_recognition_type:
          type: string
          const: PREPAID_DATA
          title: Vendor Recognition Type
          default: PREPAID_DATA
        items:
          items:
            $ref: '#/components/schemas/PrepaidItemData-Output'
          type: array
          minItems: 1
          title: Items
        service_start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Service Start Date
      type: object
      required:
        - items
      title: PrepaidData
    FixedAssetSpec:
      properties:
        vendor_recognition_type:
          type: string
          const: FIXED_ASSET_SPEC
          title: Vendor Recognition Type
          default: FIXED_ASSET_SPEC
        asset_type:
          $ref: '#/components/schemas/FixedAssetType'
        lifetime_months:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lifetime Months
        service_start_date:
          type: string
          format: date
          title: Service Start Date
      type: object
      required:
        - asset_type
        - service_start_date
      title: FixedAssetSpec
    FixedAssetData-Output:
      properties:
        vendor_recognition_type:
          type: string
          const: FIXED_ASSET_DATA
          title: Vendor Recognition Type
          default: FIXED_ASSET_DATA
        asset_type:
          $ref: '#/components/schemas/FixedAssetType'
        purchase_date:
          type: string
          format: date
          title: Purchase Date
        items:
          items:
            $ref: '#/components/schemas/FixedAssetItemData-Output'
          type: array
          minItems: 1
          title: Items
      type: object
      required:
        - asset_type
        - purchase_date
        - items
      title: FixedAssetData
    LegacyAccrualSpec:
      properties:
        vendor_recognition_type:
          type: string
          const: ACCRUAL_SPEC
          title: Vendor Recognition Type
          default: ACCRUAL_SPEC
        accrual_date:
          type: string
          format: date
          title: Accrual Date
      type: object
      required:
        - accrual_date
      title: LegacyAccrualSpec
    BillpayMemo:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        billpay_qid:
          type: string
          title: Billpay Qid
        event_qid:
          type: string
          title: Event Qid
        effective_date:
          type: string
          format: date
          title: Effective Date
        amount:
          $ref: '#/components/schemas/MonetaryAmount-Output'
        description:
          type: string
          title: Description
      type: object
      required:
        - qid
        - org_qid
        - billpay_qid
        - event_qid
        - effective_date
        - amount
        - description
      title: BillpayMemo
    OperationalEventType:
      type: string
      enum:
        - BILLPAY_CREATE
        - BILLPAY_AMEND
        - BILLPAY_ARCHIVE
        - BILLPAY_MEMO_CREATE
        - BOOKING_UPDATE
        - REIMBURSEMENT_CREATE
        - REIMBURSEMENT_AMEND
        - REIMBURSEMENT_ARCHIVE
        - REIMBURSEMENT_MEMO_CREATE
        - ACCRUAL_CREATE
        - ACCOUNT_CREATE
        - ACCOUNT_AMEND
        - ACCOUNT_ARCHIVE
      title: OperationalEventType
    Currency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VED
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XDR
        - XOF
        - XPF
        - XSU
        - XUA
        - YER
        - ZAR
        - ZMW
        - ZWL
      title: Currency
    Account:
      properties:
        org_qid:
          type: string
          title: Org Qid
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
        type:
          $ref: '#/components/schemas/AccountType'
        lookup_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Lookup Id
        overrides:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Overrides
        is_leaf_account:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Leaf Account
        booking_disabled_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Booking Disabled On
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
      type: object
      required:
        - org_qid
        - qid
        - name
        - type
      title: Account
    JournalEntryLineMetadata:
      properties:
        department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Qid
        spend_trait_vendor_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Trait Vendor Qid
        customer_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Qid
        product_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Qid
        department_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Department Name
        spend_trait_vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Trait Vendor Name
        spend_trait_vendor_logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Spend Trait Vendor Logo Url
        customer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Name
        customer_logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer Logo Url
        product_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Product Name
      type: object
      required:
        - department_qid
        - spend_trait_vendor_qid
        - customer_qid
        - product_qid
      title: JournalEntryLineMetadata
    JournalEntryBookingItem:
      properties:
        qid:
          type: string
          title: Qid
        gl_account:
          anyOf:
            - $ref: '#/components/schemas/Account'
            - type: 'null'
        vendor_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Qid
        vendor_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Name
        vendor_logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Vendor Logo Url
      type: object
      required:
        - qid
        - gl_account
      title: JournalEntryBookingItem
    JournalEntryLinkType:
      type: string
      enum:
        - edit
        - reversal
      title: JournalEntryLinkType
    InvoiceLedgerEventType:
      type: string
      enum:
        - credit_note_created
        - credit_note_updated
        - credit_note_voided
        - customer_credit_applied
        - customer_credit_application_reversed
        - dispute_created
        - dispute_reversal_created
        - invoice_created
        - invoice_uncollectible
        - invoice_voided
        - payment_created
        - payment_reversed
        - payment_failure_refund_created
        - refund_created
        - refund_failure_created
        - booking_updated
        - schedule_items_updated
        - service_period_updated
        - invoice_metadata_updated
      title: InvoiceLedgerEventType
    Vendor:
      properties:
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
      type: object
      required:
        - qid
        - name
      title: Vendor
    Department:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        source:
          $ref: '#/components/schemas/OrganizationSource'
        source_qid:
          type: string
          title: Source Qid
        name:
          type: string
          title: Name
        parent_department_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Department Qid
        group_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Name
      type: object
      required:
        - qid
        - org_qid
        - source
        - source_qid
        - name
      title: Department
    NoDepartment:
      properties:
        qid:
          type: 'null'
          title: Qid
        name:
          type: 'null'
          title: Name
      type: object
      title: NoDepartment
    Customer:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        source:
          $ref: '#/components/schemas/Source'
        source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Qid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      type: object
      required:
        - qid
        - org_qid
        - source
        - source_qid
        - name
        - source_id
        - image_url
      title: Customer
    Product:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        source:
          $ref: '#/components/schemas/Source'
        source_qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Qid
        name:
          type: string
          title: Name
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
      type: object
      required:
        - qid
        - org_qid
        - source
        - source_qid
        - name
        - source_id
      title: Product
    src__schedule__schedule_defs__PrepaidScheduleItem:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        schedule_qid:
          type: string
          title: Schedule Qid
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        effective_date:
          type: string
          format: date
          title: Effective Date
        booked_at:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Booked At
        deprecated_at:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Deprecated At
        pre_quanta:
          type: boolean
          title: Pre Quanta
      type: object
      required:
        - qid
        - org_qid
        - schedule_qid
        - amount
        - effective_date
        - booked_at
        - deprecated_at
        - pre_quanta
      title: PrepaidScheduleItem
    PrepaidSpendBookingInfo:
      properties:
        source_qid:
          type: string
          title: Source Qid
      type: object
      required:
        - source_qid
      title: PrepaidSpendBookingInfo
    PrepaidStandaloneBookingInfo:
      properties:
        account_qid:
          type: string
          title: Account Qid
      type: object
      required:
        - account_qid
      title: PrepaidStandaloneBookingInfo
    AmortizationGranularity:
      type: string
      enum:
        - monthly_evenly
        - monthly_ends_prorated
        - millisecond
        - manual
      title: AmortizationGranularity
    FixedAssetScheduleItem:
      properties:
        qid:
          type: string
          title: Qid
        org_qid:
          type: string
          title: Org Qid
        schedule_qid:
          type: string
          title: Schedule Qid
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        effective_date:
          type: string
          format: date
          title: Effective Date
        booked_at:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Booked At
        deprecated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deprecated At
        pre_quanta:
          type: boolean
          title: Pre Quanta
      type: object
      required:
        - qid
        - org_qid
        - schedule_qid
        - amount
        - effective_date
        - booked_at
        - deprecated_at
        - pre_quanta
      title: FixedAssetScheduleItem
    FixedAssetType:
      type: string
      enum:
        - Computer
        - Furniture
        - Leasehold Improvements
      title: FixedAssetType
    OneOffBookingData:
      properties:
        expense_date:
          type: string
          format: date
          title: Expense Date
      type: object
      required:
        - expense_date
      title: OneOffBookingData
    EffectiveDayOfTheMonth:
      type: string
      enum:
        - first
        - last
      title: EffectiveDayOfTheMonth
    PrepaidItemData-Output:
      properties:
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        effective_date:
          type: string
          format: date
          title: Effective Date
      type: object
      required:
        - amount
        - effective_date
      title: PrepaidItemData
    FixedAssetItemData-Output:
      properties:
        amount:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Amount
        effective_date:
          type: string
          format: date
          title: Effective Date
      type: object
      required:
        - amount
        - effective_date
      title: FixedAssetItemData
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
    OrganizationSource:
      type: string
      enum:
        - Brex
        - Deel
        - Gusto
        - Justworks
        - Rippling
        - Ramp
        - Manual
        - Mercury
        - SequoiaOne
        - Central
        - Warp
      title: OrganizationSource
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.